Numerous compile problems in migrate package

Description

I'm experiencing numerous compile problems in the migrate package. Here's what I've found until I gave up due to shear number of errors:
1. Numerous commented imports thaqt should be uncommented since package moved from legacy in gui.swing.ColorBar.java
2. D:\Work\geotools\module\migrate\src\org\geotools\renderer\j2d\StyledMapRenderer.
java:32: package org.geotools.data.ows does not exist
import org.geotools.data.ows.Layer;
3. beau coup other unresolved symbols in ColorBar.java

Environment

None

Activity

Show:
codehaus
April 10, 2015, 3:22 PM

CodeHaus Comment From: emperorkefka - Time: Wed, 2 Feb 2005 17:07:10 -0600
---------------------
I have (hopefully) fixed #2.

codehaus
April 10, 2015, 3:22 PM

CodeHaus Comment From: desruisseaux - Time: Mon, 21 Feb 2005 20:42:15 -0600
---------------------
The Geotools-migrate module compile fine on my machine... There is the dependency that I have setup in Netbeans:

    units.jar

    geoapi.jar

    geoapi-legacy.jar (a.k.a. opengis.jar)

    geotools.jar

    geotools-legacy.jar

I will check in the dependency in project.xml (for Maven) matches at least the above. I will rely on build report for checking if it work (Maven still doesn't work here; I hope that the next version will help me).

codehaus
April 10, 2015, 3:22 PM

CodeHaus Comment From: desruisseaux - Time: Tue, 22 Feb 2005 05:28:29 -0600
---------------------
According daily build reports sent on geotools-devel mailing list (see for example <a href="http://sourceforge.net/mailarchive/forum.php?thread_id=6626365&forum_id=3008),">http://sourceforge.net/mailarchive/forum.php?thread_id=6626365&amp;forum_id=3008),</a> the &#39;geotools-migrate&#39; module compile and install fine. Which environment are you using (OS, JVM)? Do you compile with Maven or by some other ways?

codehaus
April 10, 2015, 3:22 PM

CodeHaus Comment From: bwoodward - Time: Tue, 22 Feb 2005 08:54:01 -0600
---------------------
I believe this was submitted back when the API change broke the build. Given that 2.1.M3 and the nightly builds, this can be closed out.

Just FYI: WinXP, Java 1.5.0_01, Maven 1.0.2

codehaus
April 10, 2015, 3:22 PM

CodeHaus Comment From: desruisseaux - Time: Tue, 22 Feb 2005 19:44:54 -0600
---------------------
Since the geotools-migrate module compiled fine in 2.1M3 as well as in nightly building, closing as fixed. Please fell free to reopen if some problems appear to be unresolved.

Assignee

Unassigned

Reporter

codehaus

Triage

None

Components

Priority

Highest
Configure